## keystone 15.0.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

# Temporarily add Babel reference to avoid problem
# in keystone-coverage-db CI job
Babel!=2.4.0,>=2.3.4 # BSD

pbr!=2.1.0,>=2.0.0 # Apache-2.0
WebOb>=1.7.1 # MIT
Flask!=0.11,>=1.0.2  # BSD
Flask-RESTful>=0.3.5  # BSD
cryptography>=2.1 # BSD/Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy>=1.1.0 # MIT
sqlalchemy-migrate>=0.11.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
passlib>=1.7.0 # BSD
python-keystoneclient>=3.8.0 # Apache-2.0
keystonemiddleware>=5.1.0 # Apache-2.0
bcrypt>=3.1.3 # Apache-2.0
scrypt>=0.8.0 # BSD
oslo.cache>=1.26.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.38.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=1.43.1 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.upgradecheck>=0.1.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oauthlib>=0.6.2 # BSD
pysaml2>=4.5.0
PyJWT>=1.6.1 # MIT
dogpile.cache>=0.6.2 # BSD
jsonschema<3.0.0,>=2.6.0 # MIT
pycadf!=2.0.0,>=1.1.0 # Apache-2.0
msgpack>=0.5.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
pytz>=2013.6 # MIT

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.18.1 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-seqdiag>=0.8.4  # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
python-ldap>=3.0.0  # PSF
ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:15.0.1-0ubuntu1~cloud0) bionic-stein; urgency=medium

  * d/watch: Update tarball URL to opendev.org.
  * New stable point release for OpenStack Stein (LP: #1880163)
  * d/p/add-version-info.patch: Refreshed.
  * d/p/token-consistently-decode-binary-types.patch: Drop,
    included upstream.
  * d/p/0001-fixing-dn-to-id.patch: Drop, included upstream.
  * d/p/0002-fixing-dn-to-id.patch: Drop, included upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 11:39:35 +0000

keystone (2:15.0.0-0ubuntu1.2~cloud0) bionic-stein; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 30 Sep 2019 10:21:32 +0000

keystone (2:15.0.0-0ubuntu1.2) disco; urgency=medium

  * d/p/000*-fixing-dn-to-id.patch: Fix LDAP backend's dn_to_id function
    for cases were id is not in the DN (LP: #1782922).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 11:08:09 +0200

keystone (2:15.0.0-0ubuntu1.1) disco; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/stein branch.

  [ James Page ]
  * d/p/token-consistently-decode-binary-types.patch: Ensure binary
    types are consistently decoded under Python 3 (LP: #1832265).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jul 2019 14:54:08 +0100

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 crudini,
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-bcrypt (>= 3.1.3),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-dogpile.cache (>= 0.6.2),
 python3-fixtures (>= 3.0.0),
 python3-flask,
 python3-flask-restful,
 python3-freezegun (>= 0.3.9-1ubuntu1~),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-ldap,
 python3-ldappool (>= 2.0.0),
 python3-lxml (>= 3.4.1),
 python3-memcache,
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.38.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.43.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-pymongo,
 python3-pymysql,
 python3-pysaml2 (>= 4.5.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-scrypt (>= 0.8.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy (>= 1.1.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.4
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
Testsuite: autopkgtest-pkg-python

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 keystone (<< 2:14.0.0~b2-0ubuntu2~),
Replaces:
 keystone (<< 2:14.0.0~b2-0ubuntu2~),
Description: OpenStack identity service - Common files
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the common files.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 keystone-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.1),
 python3-dogpile.cache (>= 0.6.2),
 python3-flask,
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-ldap,
 python3-migrate (>= 0.11.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.38.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.43.1),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pymysql,
 python3-pysaml2 (>= 4.5.0),
 python3-scrypt (>= 0.8.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ldappool (>= 2.0.0),
 python3-memcache,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack identity service - Python 3 library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python 3 libraries.

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

SHELL := /bin/sh -e

include /usr/share/openstack-pkg-tools/pkgos.make

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
#export HOME="$(CURDIR)/debian/tests/"

%:
	dh $@ --with apache2,python3,systemd

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	mkdir -p $(CURDIR)/keystone/tests/tmp
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit.(?!(.*test_sql_upgrade.FullMigration.*))'
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-keystone/usr/etc
	dh_install --fail-missing
	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone-common/etc/keystone/logging.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=config-generator/keystone-policy-generator.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.policy.yaml
	crudini --merge $(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf < $(CURDIR)/debian/keystone.conf.dist

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/tests/tmp
	rm -rf $(CURDIR)/.testrepository
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: keystone-daemon
Depends: keystone
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/keystone keystone-(15\.\d.*)\.tar\.gz

## keystone 16.0.0

=== debian/changelog ===
keystone (2:16.0.0-5) unstable; urgency=high

  * Add a depends on uwsgi-plugin-apparmor, and use it.
  * Add load-balancer_admin & load-balancer_member in default role creation.
  * CVE-2019-19687: project members and readers can list any credentials with
    the /v3/credentials API when enforce_scope is false. Add upstream patch:
    CVE-2019-19687_Fix_credential_list_for_project_members.patch.
    (Closes: #946614).
  * Blacklist test_hacking_checks.TestCheckForMutableDefaultArgs.test() which
    is currently failing in Sid.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Dec 2019 22:20:29 +0100

keystone (2:16.0.0-4) unstable; urgency=medium

  * Do not assign heat_stack_user to admin user.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 01 Nov 2019 10:04:26 +0100

keystone (2:16.0.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 21:57:33 +0200

keystone (2:16.0.0-2) experimental; urgency=medium

  * Add k8s roles to keystone postinst.

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 18 Oct 2019 14:31:02 +0200

keystone (2:16.0.0-1) experimental; urgency=medium

  * Added da.po debconf translation (Closes: #923138).
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Oct 2019 16:15:22 +0200

keystone (2:16.0.0~rc1-2) experimental; urgency=medium

  * Add heat_stack_user role to postinst

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 07 Oct 2019 16:26:51 +0200

keystone (2:16.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Sep 2019 11:38:06 +0200

keystone (2:15.0.0-5) unstable; urgency=medium

  * Fix install-missing-files.patch to install all files under the keystone/
    folder, because keystone/locale was missing.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Aug 2019 00:44:50 +0200

keystone (2:15.0.0-4) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * Remove python3-mysqldb runtime depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 19 Jul 2019 15:30:56 +0200

keystone (2:15.0.0-3) unstable; urgency=medium

  * Remove token flush cron job, not needed anymore since UUID tokens are
    removed upstream.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 May 2019 14:18:09 +0200

keystone (2:15.0.0-2) experimental; urgency=medium

  * d/control: Bump openstack-pkg-tools to version 99
  * d/copyright: Update year in my line

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 03 May 2019 12:35:20 +0200

keystone (2:15.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2019 09:40:58 +0200

keystone (2:15.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to uwsgi instead of Apache.
  * Removed PY3_switch_to_using_unicode_text_values.patch applied upstream.
  * Do not install etc/keystone-paste.ini, it's gone from upstream.
  * Using oslo-config-generator, not python3-oslo-config-generator.
  * Do not store policy.json in /etc/keystone, as this is currently borken.

 -- Thomas Goirand <zigo@debian.org>  Thu, 28 Mar 2019 10:48:00 +0100

=== debian/control ===
Source: keystone
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-apparmor,
 dh-python,
 openstack-pkg-tools (>= 99~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 git,
 python3-babel,
 python3-bashate,
 python3-bcrypt,
 python3-coverage,
 python3-crypto,
 python3-cryptography,
 python3-dogpile.cache,
 python3-fixtures,
 python3-flask,
 python3-flask-restful,
 python3-freezegun,
 python3-hacking,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap,
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-migrate,
 python3-mock,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackdocstheme,
 python3-os-api-ref,
 python3-os-testr,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context (>= 2.22.1),
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 2.3.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest,
 python3-osprofiler,
 python3-passlib,
 python3-pep8,
 python3-pycadf,
 python3-pymongo,
 python3-pysaml2,
 python3-requests,
 python3-scrypt,
 python3-six,
 python3-sphinx-feature-classification,
 python3-sphinxcontrib.apidoc,
 python3-sphinxcontrib.blockdiag,
 python3-sphinxcontrib.seqdiag,
 python3-sqlalchemy,
 python3-stestr,
 python3-stevedore,
 python3-tempest,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tz,
 python3-unittest2,
 python3-webob,
 python3-webtest,
 subunit,
 tempest,
Standards-Version: 4.4.1
Homepage: http://keystone.openstack.org/
Vcs-Browser: https://salsa.debian.org/openstack-team/services/keystone
Vcs-Git: https://salsa.debian.org/openstack-team/services/keystone.git

Package: keystone
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-keystone (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 sqlite3,
 uwsgi-plugin-apparmor,
 uwsgi-plugin-python3 (>= 2.0.18),
 ${misc:Depends},
 ${ostack-lsb-base},
 ${python3:Depends},
Suggests:
 apparmor,
Description: OpenStack identity service
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the daemons.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack identity service - documentation
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 python3-babel,
 python3-bcrypt,
 python3-crypto,
 python3-cryptography,
 python3-dateutil,
 python3-dogpile.cache,
 python3-flask,
 python3-flask-restful,
 python3-jsonschema,
 python3-jwt,
 python3-keystoneclient,
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldappool,
 python3-lxml,
 python3-memcache,
 python3-migrate,
 python3-msgpack,
 python3-oauthlib,
 python3-openstackclient,
 python3-oslo.cache,
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context (>= 2.22.1),
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy (>= 2.3.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-osprofiler,
 python3-passlib,
 python3-pbr,
 python3-pycadf,
 python3-pycodestyle,
 python3-pyldap,
 python3-pymysql,
 python3-pysaml2,
 python3-scrypt,
 python3-six,
 python3-sqlalchemy,
 python3-stevedore,
 python3-tz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Conflicts:
 python-keystone,
Description: OpenStack identity service - library
 This is the identity service used by OpenStack for authentication (authN)
 and high-level authorization (authZ). It currently supports token-based
 authN with user/service authZ, and is scalable to support OAuth, SAML,
 and OpenID in future versions. Out of the box, Keystone uses SQLite for
 its identity store database, with the option to connect to external LDAP.
 .
 This package contains the Python libraries.

=== debian/rules ===
#!/usr/bin/make -f

# auth_token middleware now requires access to HOME, otherwise
# test suite cause FTBFS.  See (LP: #1031022)
export HOME="$(CURDIR)/debian/tests/"

# This is to avoid git clone of keystoneclient when running unit tests.
# See https://review.openstack.org/122768/
export KSCTEST_PATH=/usr/lib/python3/dist-packages/keystoneclient

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc,systemd

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/test/keystone.sql.log $(CURDIR)/keystone/test/keystone.ldap.log
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -rf $(CURDIR)/doc/source/sourcecode $(CURDIR)/doc/source/api
	rm -f $(CURDIR)/doc/source/_static/keystone.conf.sample
	rm -f $(CURDIR)/doc/source/_static/keystone.policy.yaml.sample
	rm -rf $(CURDIR)/admin.log $(CURDIR)/keystone-legacy-auth.log
	rm -f $(CURDIR)/debian/keystone.config $(CURDIR)/debian/keystone.postinst
	find $(CURDIR)/keystone/tests -name '*.db' -delete
	rm -rf $(CURDIR)/vendor
	rm -rf $(CURDIR)/.stestr
	rm -f $(CURDIR)/debian/tests/testing.db
	rm -f $(CURDIR)/debian/keystone.keystone*.init $(CURDIR)/debian/keystone.keystone*.service $(CURDIR)/debian/keystone.keystone*.upstart
	find $(CURDIR) -name '*.pyc' -delete
	rm -f AUTHORS ChangeLog
	dh_clean

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func keystone.postinst

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Doing nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		PYTHON=python$$i python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	@echo "===> Running tests"
	mkdir -p $(CURDIR)/keystone/tests/tmp
	pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit.(?!(.*test_v3_federation\.SAMLGenerationTests\.test_sign_assertion_exc.*|.*test_sql_upgrade.FullMigration.*|.*test_hacking_checks\.TestCheckForMutableDefaultArgs\.test.*))'
endif

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing
	rm -rf debian/python3-keystone/usr/lib/python*/*/doc
	rm -rf debian/python3-keystone/usr/lib/python*/*/tools
	rm -rf debian/python3-keystone/usr/lib/python*/*/examples
	install -D -m 0600 $(CURDIR)/debian/logging.conf $(CURDIR)/debian/keystone/etc/keystone/logging.conf
	mkdir -p $(CURDIR)/debian/keystone/usr/share/keystone
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf \
		--wrap-width 79 \
		--namespace keystone \
		--namespace oslo.cache \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.policy \
		--namespace oslo.db \
		--namespace oslo.middleware \
		--namespace osprofiler
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf catalog template_file /etc/keystone/default_catalog.templates
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_dir /var/log/keystone
	pkgos-fix-config-default $(CURDIR)/debian/keystone/usr/share/keystone/keystone.conf DEFAULT log_file keystone.log

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/keystone/usr/share/keystone/policy.json \
		--format json \
		--namespace keystone

	sed -i "s/role:admin and system_scope:all/role:admin/" $(CURDIR)/debian/keystone/usr/share/keystone/policy.json

	install -D -m 0644 debian/keystone.apparmor $(CURDIR)/debian/keystone/etc/apparmor.d/usr.bin.keystone-all
	dh_apparmor --profile-name=usr.bin.keystone-all

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/keystone-doc/usr/share/doc/keystone-doc/html
	dh_sphinxdoc
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b man doc/source doc/build/man
	dh_installman
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

#override_dh_installmenu:
#	dh_installinit --name=keystone-admin
#	dh_installinit --name=keystone-public

## keystone 16.0.1

=== debian/changelog ===
keystone (2:16.0.1-0ubuntu1) eoan; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.

  [ Chris MacNaughton ]
  * d/watch: Update to point at tarballs.opendev.org.
  * d/p/add-version-info.patch: Refreshed.
  * d/p/CVE-2019-19687.patch: Dropped. Fixed in 16.0.1.
  * New stable point release for OpenStack Train (LP: #1879725).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Fri, 22 May 2020 06:17:06 +0000

keystone (2:16.0.0-0ubuntu1.1) eoan-security; urgency=medium

  * SECURITY UPDATE: data leakage in the list credentials API
    - debian/patches/CVE-2019-19687.patch: fix credential list for project
      members in keystone/api/credentials.py,
      keystone/tests/protection/v3/test_credentials.py,
      releasenotes/notes/bug-1855080-08b28181b7cb2470.yaml.
    - CVE-2019-19687

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 24 Jan 2020 13:59:22 -0500

keystone (2:16.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.
  * d/keystone-common.install: Drop install of policy.v3cloudsample.json as it
    has been dropped from upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 10:52:00 -0400

keystone (2:16.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 16.x series.
  * New upstream release candidate for OpenStack Train.
  * d/p/token-consistently-decode-binary-types.patch: Dropped. Fixed in rc1.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Sep 2019 09:15:23 -0400

keystone (2:16.0.0~b3~git2019091810.5e35efd55-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 18 Sep 2019 10:40:53 +0200

keystone (2:16.0.0~b2~git2019073116.bca92f99b-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Refreshed.

  [ Corey Bryant ]
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-sphinxcontrib-apidoc.patch: Dropped. No longer needed with new BD
    for python3-sphinxcontrib.apidoc.


 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 31 Jul 2019 16:50:19 +0200

keystone (2:16.0.0~b1~git2019061326.4f1667679-0ubuntu2) eoan; urgency=medium

  * d/p/token-consistently-decode-binary-types.patch: Ensure binary
    types are consistently decoded under Python 3 (LP: #1832265).

 -- James Page <james.page@ubuntu.com>  Fri, 21 Jun 2019 05:32:39 +0100

keystone (2:16.0.0~b1~git2019061326.4f1667679-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/p/*: Refresh.
  * d/control: Add BD on python3-sphinx-feature-classification.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 15:12:41 +0100

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/keystone keystone-(16\.\d.*)\.tar\.gz

## keystone 16.0.2

=== requirements.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 stevedore>=1.20.0 # Apache-2.0
 passlib>=1.7.0 # BSD
 python-keystoneclient>=3.8.0 # Apache-2.0
-keystonemiddleware>=5.1.0 # Apache-2.0
+keystonemiddleware>=7.0.0 # Apache-2.0
 bcrypt>=3.1.3 # Apache-2.0
 scrypt>=0.8.0 # BSD
 oslo.cache>=1.26.0 # Apache-2.0
@@ -27,9 +27,9 @@
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
-oslo.log>=3.38.0 # Apache-2.0
+oslo.log>=3.44.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=1.43.1 # Apache-2.0
+oslo.policy>=2.3.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.upgradecheck>=0.1.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
@@ -37,7 +37,7 @@
 pysaml2>=4.5.0
 PyJWT>=1.6.1 # MIT
 dogpile.cache>=0.6.2 # BSD
-jsonschema<3.0.0,>=2.6.0 # MIT
+jsonschema>=2.6.0 # MIT
 pycadf!=2.0.0,>=1.1.0 # Apache-2.0
 msgpack>=0.5.0 # Apache-2.0
 osprofiler>=1.4.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
openstackdocstheme>=1.20.0 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
sphinxcontrib-apidoc>=0.2.0  # BSD
sphinxcontrib-seqdiag>=0.8.4  # BSD
sphinx-feature-classification>=0.3.2  # Apache-2.0
sphinxcontrib-blockdiag>=1.5.5  # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
python-ldap>=3.0.0  # PSF
ldappool>=2.0.0 # MPL

=== debian/changelog ===
keystone (2:16.0.2-0ubuntu1~cloud0) bionic-train; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Add trailing slash to URL.
  * New stable point release for OpenStack Train (LP: #1935031).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Jul 2021 11:28:57 +0000

=== debian/control ===
Source: keystone
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Monty Taylor <mordred@inaugust.com>
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
 python3-sphinx-feature-classification (>= 0.3.2),
Build-Depends-Indep:
 crudini,
 python3-babel (>= 2.3.4),
 python3-bashate (>= 0.5.1),
 python3-bcrypt (>= 3.1.3),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.1),
 python3-dogpile.cache (>= 0.6.2),
 python3-fixtures (>= 3.0.0),
 python3-flake8-docstrings (>= 0.2.1.post1),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-freezegun (>= 0.3.6),
 python3-hacking (>= 1.1.0),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap (>= 3.0.0),
 python3-ldappool (>= 2.0.0),
 python3-lxml (>= 3.4.1),
 python3-memcache,
 python3-migrate (>= 0.11.0),
 python3-mock (>= 2.0.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-openstackdocstheme (>= 1.20.0),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 2.3.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pep8,
 python3-pycadf (>= 1.1.0),
 python3-pycodestyle (>= 2.0.0),
 python3-pymongo,
 python3-pymysql,
 python3-pysaml2 (>= 4.5.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-scrypt (>= 0.8.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
 python3-sqlalchemy (>= 1.1.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testtools (>= 2.2.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.4
XS-Python-Version: >= 2.7
Homepage: https://launchpad.net/keystone
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
Testsuite: autopkgtest-pkg-python

Package: keystone
Architecture: all
Section: python
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-keystone (= ${source:Version}),
 ssl-cert (>= 1.0.12),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack identity service - Daemons
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the daemons.

Package: keystone-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 keystone (<< 2:14.0.0~b2-0ubuntu2~),
Replaces:
 keystone (<< 2:14.0.0~b2-0ubuntu2~),
Description: OpenStack identity service - Common files
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the common files.

Package: keystone-doc
Architecture: all
Section: doc
Depends:
 libjs-jquery,
 ${misc:Depends},
Description: OpenStack identity service - Documentation
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the documentation.

Package: python3-keystone
Architecture: all
Section: python
Depends:
 keystone-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-bcrypt (>= 3.1.3),
 python3-cryptography (>= 2.1),
 python3-dogpile.cache (>= 0.6.2),
 python3-flask (>= 1.0.2),
 python3-flask-restful (>= 0.3.5),
 python3-jsonschema (>= 2.6.0),
 python3-jwt (>= 1.6.1),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 7.0.0),
 python3-ldap,
 python3-migrate (>= 0.11.0),
 python3-msgpack (>= 0.5.0),
 python3-oauthlib (>= 0.6.2),
 python3-oslo.cache (>= 1.26.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.44.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 2.3.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.upgradecheck (>= 0.1.0),
 python3-oslo.utils (>= 3.33.0),
 python3-osprofiler (>= 1.4.0),
 python3-passlib (>= 1.7.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pycadf (>= 1.1.0),
 python3-pymysql,
 python3-pysaml2 (>= 4.5.0),
 python3-scrypt (>= 0.8.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.1.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tz (>= 2013.6),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-ldappool (>= 2.0.0),
 python3-memcache,
Provides:
 ${python3:Provides},
XB-Python-Version: ${python3:Versions}
Description: OpenStack identity service - Python 3 library
 Keystone is a proposed independent authentication service for OpenStack.
 .
 This initial proof of concept aims to address the current use cases in Swift
 and Nova which are:
 .
  * REST-based, token auth for Swift
  * many-to-many relationship between identity and tenant for Nova. Keystone
    does authentication and stuff
 .
 This package contains the Python 3 libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/keystone/ keystone-(16\.\d.*)\.tar\.gz

## keystone 17.0.0~b2~git2020020513.99733f172

=== debian/changelog ===
keystone (2:17.0.0~b2~git2020020513.99733f172-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 14:47:14 +0100

keystone (2:17.0.0~b1~git2019121613.db81fee63-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop remaining py2 BDs.
  * d/rules: Switch to pybuild.
  * d/rules: Update PBR_VERSION to handle ~git versioning.
  * d/p/skip-py38-failure.patch: Skip py38 failure until fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 16 Dec 2019 13:15:00 -0500

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  dh-apache2,
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -89,8 +86,8 @@
 Standards-Version: 4.1.4
 XS-Python-Version: >= 2.7
 Homepage: https://launchpad.net/keystone
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/keystone
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/keystone
 Testsuite: autopkgtest-pkg-python
 
 Package: keystone

## keystone 17.0.0~b3~git2020041013.7bb6314e4

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,6 @@
 Flask!=0.11,>=1.0.2  # BSD
 Flask-RESTful>=0.3.5  # BSD
 cryptography>=2.1 # BSD/Apache-2.0
-six>=1.10.0 # MIT
 SQLAlchemy>=1.1.0 # MIT
 sqlalchemy-migrate>=0.11.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
@@ -21,7 +20,6 @@
 bcrypt>=3.1.3 # Apache-2.0
 scrypt>=0.8.0 # BSD
 oslo.cache>=1.26.0 # Apache-2.0
-oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0

=== debian/changelog ===
keystone (2:17.0.0~b3~git2020041013.7bb6314e4-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/keystone-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 13:08:43 -0400

keystone (2:17.0.0~b3~git2020032415.9f9040257-0ubuntu2) focal; urgency=medium

  * d/keystone-common.postinst: Set default ownership for /etc/<pkg>
    files/directories to keystone:keystone (LP: #1869132).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 26 Mar 2020 11:48:38 -0400

keystone (2:17.0.0~b3~git2020032415.9f9040257-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/keystone*.{pre*|post*}: Consolidate and move to keystone-common.postinst,
    do work when called with configure (aligns with other openstack packages),
    and set default ownership/permissions for /etc/<pkg>, /var/lib/<pkg>, and
    /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 24 Mar 2020 15:02:12 -0400

=== debian/control ===
--- 
+++ 
@@ -44,7 +44,6 @@
  python3-os-api-ref (>= 1.4.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
@@ -70,7 +69,6 @@
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-scrypt (>= 0.8.0),
- python3-six (>= 1.10.0),
  python3-sphinxcontrib.apidoc (>= 0.2.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
@@ -173,7 +171,6 @@
  python3-msgpack (>= 0.5.0),
  python3-oauthlib (>= 0.6.2),
  python3-oslo.cache (>= 1.26.0),
- python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
@@ -194,7 +191,6 @@
  python3-pymysql,
  python3-pysaml2 (>= 4.5.0),
  python3-scrypt (>= 0.8.0),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.1.0),
  python3-stevedore (>= 1:1.20.0),
  python3-tz (>= 2013.6),

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=keystone

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3 --buildsystem=pybuild

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	mkdir -p $(CURDIR)/keystone/tests/tmp
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2 'keystone\.tests\.unit.(?!(.*test_sql_upgrade.FullMigration.*))'
endif

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p $(CURDIR)/doc/build/html
	mkdir -p $(CURDIR)/doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-keystone/usr/etc
	dh_install --fail-missing
	install -D -m 0600 $(CURDIR)/etc/logging.conf.sample  $(CURDIR)/debian/keystone-common/etc/keystone/logging.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=config-generator/keystone.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=config-generator/keystone-policy-generator.conf \
		--output-file=$(CURDIR)/debian/keystone-common/etc/keystone/keystone.policy.yaml
	crudini --merge $(CURDIR)/debian/keystone-common/etc/keystone/keystone.conf < $(CURDIR)/debian/keystone.conf.dist

override_dh_clean:
	rm -rf $(CURDIR)/build $(CURDIR)/keystone.egg-info $(CURDIR)/.cache
	rm -rf $(CURDIR)/keystone/tests/tmp
	rm -rf $(CURDIR)/.testrepository
	rm -rf $(CURDIR)/debian/tmp
	rm -rf $(CURDIR)/doc/build
	# NOTE(adam_g) The following stuff is built in /doc/source.  Safe for now, but
	# should be fixed upstream or updated here post-essex 
	rm -rf $(CURDIR)/doc/source/keystone*.rst
	rm -rf $(CURDIR)/doc/source/modules.rst
	rm -f debian/*.init debian/*.service debian/*.upstart
	dh_clean

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .eggs .testrepository

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/keystone keystone-(16\.\d.*)\.tar\.gz
